--:SetVar Function "AUX:StartsFromSpace"
if exists( select * from [sysobjects] (nolock) where [type] in ('FN','TF') and [name]=N'AUX:StartsFromSpace' )
   drop function [AUX:StartsFromSpace]
GO
/* Translated by $SQLTRANS utility (SQL-file technology). Method author: Sergei Y.Kitáev.
** Script translation date-time: 2022-11-27 00:29:27.24 (stamp of SQL-file generation). */
create function [AUX:StartsFromSpace]( @String nvarchar(max) )
returns bit
BEGIN
/*==================================================================================================
# SQLAUX scripting library | Author: Sergei Y.Kitáev
----------------------------------------------------------------------------------------------------
#
# CHECKING, IF STRING STARTS FROM SPACE:
#
# === Usage: ===
# dbo.[AUX:StartsFromSpace]( <String> )
#
==================================================================================================*/

return dbo.[AUX:StartsFromSpace.Ext]( @String, default )

/*================================================================================================*/
END
GO
/*
select dbo.[AUX:StartsFromSpace]( N'qwerty' ) 'Starts from space'
select dbo.[AUX:StartsFromSpace]( N' qwerty' ) 'Starts from space'
select dbo.[AUX:StartsFromSpace]( ' ' ) 'Starts from space'
select dbo.[AUX:StartsFromSpace]( '' ) 'Starts from space'
select dbo.[AUX:StartsFromSpace]( null ) 'Starts from space'
*/
